{"openapi":"3.0.0","info":{"version":"1.0.0","title":"76269 API","description":"Directory of people and services in Zibata","contact":{"name":"Eduardo Argente","email":"e@skinnr.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/createuser":{"post":{"description":"Allows you to create a normal user in the application","parameters":[{"in":"query","name":"first_name","required":true,"description":"User Name","schema":{"type":"string","example":"Steve"}},{"in":"query","name":"last_name","required":true,"description":"User Last Name","schema":{"type":"string","example":"Jobs"}},{"in":"query","name":"email","required":true,"description":"User email","schema":{"type":"string","example":"steve@gmail.com"}},{"in":"query","name":"password","required":true,"description":"User Password","schema":{"type":"string","example":"hello"}},{"in":"query","name":"password_confirmation","required":true,"description":"User Password Confirmation","schema":{"type":"string","example":"hello"}},{"in":"query","name":"accept_terms","required":true,"description":"If User accept terms","schema":{"type":"boolean"}}],"responses":{"201":{"description":"Successfully created","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"first_name":{"type":"string","example":"Steve"},"last_name":{"type":"string","example":"Jobs"},"email":{"type":"string","example":"steve@gmail.com"},"password":{"type":"string","example":"hello"},"password_confirmation":{"type":"string","example":"hello"},"accept_terms":{"type":"boolean","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/login":{"post":{"description":"Allows a user with a created account to log in","parameters":[{"in":"query","name":"email","required":true,"description":"User registered email","schema":{"type":"string","example":"steve@gmail.com"}},{"in":"query","name":"last_name","required":true,"description":"User password","schema":{"type":"string","example":"hello"}}],"responses":{"201":{"description":"Login success!","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"email":{"type":"string","example":"steve@gmail.com"},"password":{"type":"string","example":"hello"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/logout":{"get":{"description":"Allows the user to log out of the application","responses":{"200":{"description":"Logout"},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/userupdate":{"put":{"description":"Allows the user to update the basic information of his account","parameters":[{"in":"query","name":"first_name","required":true,"description":"User Name","schema":{"type":"string","example":"Steve"}},{"in":"query","name":"last_name","required":true,"description":"User Last Name","schema":{"type":"string","example":"Jobs"}},{"in":"query","name":"email","required":true,"description":"User email","schema":{"type":"string","example":"steve2@gmail.com"}}],"responses":{"200":{"description":"User has been updated","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"first_name":{"type":"string","example":"Steve"},"last_name":{"type":"string","example":"Jobs"},"email":{"type":"string","example":"steve2@gmail.com"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/userdescription":{"get":{"description":"Allows the a staff user to review the information of normal users by their id","parameters":[{"in":"query","name":"id","required":true,"description":"User Id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"User Information","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/userlist":{"get":{"description":"Allows a staff user to see the list of all users","responses":{"200":{"description":"User List"},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/my-user":{"get":{"description":"Allows a user to review their own information","responses":{"200":{"description":"User Information"},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/uploadprofileimg":{"post":{"description":"Allows the user to upload an image for their profile","parameters":[{"in":"query","name":"image_path","required":true,"description":"Image Path","schema":{"type":"string","example":"exampleimagepath.png"}}],"responses":{"200":{"description":"Profile Image","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"image_path":{"type":"string","example":"examplelogopath.png"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deleteprofileimg":{"delete":{"description":"Allows the user to delete the image of their profile","responses":{"200":{"description":"Delete image path","content":{"application/json":{"schema":{"type":"string","example":"Image has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createbusiness":{"post":{"description":"Allows a user with a verified account to create a business","parameters":[{"in":"query","name":"name","required":true,"description":"Business Name","schema":{"type":"string","example":"Skinnr"}},{"in":"query","name":"business_name","required":true,"description":"Business Social Reason","schema":{"type":"string","example":"SA de CV"}},{"in":"query","name":"commercial_business","required":true,"description":"Line of business of the company","schema":{"type":"string","example":"Technology"}},{"in":"query","name":"rfc","required":true,"description":"Business RFC","schema":{"type":"string","example":"ERTY34567890"}},{"in":"query","name":"suburb","required":true,"description":"Business Suburb address","schema":{"type":"string","example":"Zibata"}},{"in":"query","name":"block","required":true,"description":"Business Block address","schema":{"type":"string","example":"Mezquite"}},{"in":"query","name":"batch","required":true,"description":"Business batch number","schema":{"type":"integer","example":6}},{"in":"query","name":"int_number","required":true,"description":"Business interior number","schema":{"type":"integer","example":204}},{"in":"query","name":"street","required":true,"description":"Business street address","schema":{"type":"string","example":"mezquite"}},{"in":"query","name":"plan_id","required":true,"description":"Business Plan id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"User Information","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Skinnr"},"business_name":{"type":"string","example":"SA de CV"},"commercial_business":{"type":"string","example":"Technology"},"rfc":{"type":"string","example":"WERT4567890765"},"suburb":{"type":"string","example":"Zibata"},"block":{"type":"string","example":"Mezquite"},"batch":{"type":"integer","example":6},"int_number":{"type":"integer","example":204},"street":{"type":"string","example":"Mezquite"},"plan_id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businessdelete":{"delete":{"description":"Allows the user to delete the business they created","responses":{"200":{"description":"Business has been deleted","content":{"application/json":{"schema":{"type":"string","example":"Business has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businessread":{"get":{"description":"User's business information","responses":{"200":{"description":"Your Business information","content":{"application/json":{"schema":{"type":"string","example":"Information of Your Business"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businessupdate":{"put":{"description":"Allows the user to update their business information","parameters":[{"in":"query","name":"name","required":true,"description":"Business Name","schema":{"type":"string","example":"Skinnr"}},{"in":"query","name":"commercial_business","required":true,"description":"Line of business of the company","schema":{"type":"string","example":"Technology"}},{"in":"query","name":"rfc","required":true,"description":"Business RFC","schema":{"type":"string","example":"ERTY34567890"}},{"in":"query","name":"suburb","required":true,"description":"Business Suburb address","schema":{"type":"string","example":"Zibata"}},{"in":"query","name":"block","required":true,"description":"Business Block address","schema":{"type":"string","example":"Mezquite"}},{"in":"query","name":"batch","required":true,"description":"Business batch number","schema":{"type":"integer","example":6}},{"in":"query","name":"int_number","required":true,"description":"Business interior number","schema":{"type":"integer","example":204}},{"in":"query","name":"street","required":true,"description":"Business street address","schema":{"type":"string","example":"mezquite"}}],"responses":{"200":{"description":"User Information","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Skinnr"},"commercial_business":{"type":"string","example":"Technology"},"rfc":{"type":"string","example":"WERT4567890765"},"suburb":{"type":"string","example":"Zibata"},"block":{"type":"string","example":"Mezquite"},"batch":{"type":"integer","example":6},"int_number":{"type":"integer","example":204},"street":{"type":"string","example":"Mezquite"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businesslist":{"get":{"description":"Allows a staff user to review the list of all companies created","responses":{"200":{"description":"Business list","content":{"application/json":{"schema":{"type":"string","example":"Business List"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businessread_by_id":{"get":{"description":"Allows a user to search for a business by its id","parameters":[{"in":"query","name":"id","required":true,"description":"Business ID","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Business Information","content":{"application/json":{"schema":{"type":"string","example":"Business Information"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/businessreact":{"put":{"description":"Allows a User to reactivate the business that has been deleted","responses":{"200":{"description":"Business Reactivation","content":{"application/json":{"schema":{"type":"string","example":"Business has been Reactivated"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/uploadlogoimg":{"post":{"description":"Allows the user to upload an image for the business logo","parameters":[{"in":"query","name":"logo_path","required":true,"description":"Image Path","schema":{"type":"string","example":"examplelogopath.png"}}],"responses":{"200":{"description":"Logo Image","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"logo_path":{"type":"string","example":"examplelogopath.png"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletelogoimg":{"delete":{"description":"Allows the user to delete the image of their business","responses":{"200":{"description":"Delete image path","content":{"application/json":{"schema":{"type":"string","example":"Image has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createhashtag":{"post":{"description":"Allows the business user to create hashtags for their business","parameters":[{"in":"query","name":"hashtag","required":true,"description":"Hashtag name","schema":{"type":"string","example":null}}],"responses":{"200":{"description":"Create Hashtag","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"hashtag":{"type":"string","example":"#food"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletehashtag":{"delete":{"description":"Allow the business user to delete a hashtag by its id","parameters":[{"in":"query","name":"id","required":true,"description":"hashtag id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete Hashtag","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createbanner":{"post":{"description":"Allows a Business User to create a banner","parameters":[{"in":"query","name":"title","required":true,"description":"Banner Title","schema":{"type":"string","example":"Tech"}},{"in":"query","name":"description","required":true,"description":"Banner Description","schema":{"type":"string","example":"Banner Description"}},{"in":"query","name":"active","required":true,"description":"If the banner is active or not","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Create Banner","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"title":{"type":"string","example":"Tech"},"description":{"type":"string","example":"banner description"},"active":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletebanner":{"delete":{"description":"Allow a business user to delete a banner by id","parameters":[{"in":"query","name":"id","required":true,"description":"delete banner id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete Banner","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/listbanner":{"get":{"description":"Allows a business user to list all the banners","responses":{"200":{"description":"Banner list","content":{"application/json":{"schema":{"type":"string","example":"Banner List"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/readbanner":{"get":{"description":"Allows a business user to read a banner by id","parameters":[{"in":"query","name":"id","required":true,"description":"read banner by id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Read Banner","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/updatebanner":{"put":{"description":"Allows a User to update a banner information by its id","parameters":[{"in":"query","name":"title","required":true,"description":"Banner Title","schema":{"type":"string","example":"Tech"}},{"in":"query","name":"description","required":true,"description":"Banner Description","schema":{"type":"string","example":"Banner Description"}},{"in":"query","name":"id","required":true,"description":"Banner id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Update Banner","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"title":{"type":"string","example":"Tech"},"description":{"type":"string","example":"banner description"},"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/uploadbannerimg":{"post":{"description":"Allows the user to upload an image for the banner by id","parameters":[{"in":"query","name":"id","required":true,"description":"Banner Id","schema":{"type":"integer","example":1}},{"in":"query","name":"Image_path","required":true,"description":"Image Path","schema":{"type":"string","example":"exampleimagepath.png"}}],"responses":{"200":{"description":"Image Image","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"logo_path":{"type":"string","example":"exampleimagepath.png"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletebannerimg":{"delete":{"description":"Allows the user to delete the image of a banner by id","parameters":[{"in":"query","name":"id","required":true,"description":"Banner Id","schema":{"type":"integer","example":1}},{"in":"query","name":"Image_path","required":true,"description":"Image Path","schema":{"type":"string","example":"exampleimagepath.png"}}],"responses":{"200":{"description":"Delete image path","content":{"application/json":{"schema":{"type":"string","example":"Image has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/search":{"get":{"description":"Allows users to search for banners, businesses and hashtags","parameters":[{"in":"query","name":"q","required":true,"description":"What to look for","schema":{"type":"string","example":"skinnr"}}],"responses":{"200":{"description":"What to look for","content":{"application/json":{"schema":{"type":"string","example":"Skinnr"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createplan":{"post":{"description":"Allows the staff user to create plans for the normal and business users","parameters":[{"in":"query","name":"name","required":true,"description":"Plan Name","schema":{"type":"string","example":"Gold"}},{"in":"query","name":"description","required":true,"description":"Plan description","schema":{"type":"string","example":"Description example"}},{"in":"query","name":"cost","required":true,"description":"Plan cost","schema":{"type":"integer","example":5000}},{"in":"query","name":"active_posts","required":true,"description":"Active posts inlcuded in the plan","schema":{"type":"integer","example":10}},{"in":"query","name":"hashtags_included","required":true,"description":"Hashtags included in the plan","schema":{"type":"integer","example":5}}],"responses":{"200":{"description":"Create Plan","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"name":{"type":"string","example":"Gold"},"description":{"type":"string","example":"Description example"},"cost":{"type":"integer","example":5000},"active_posts":{"type":"integer","example":10},"hashtags_included":{"type":"integer","example":5}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deleteplan":{"delete":{"description":"Allow the staff user to delete a plan by its id","parameters":[{"in":"query","name":"id","required":true,"description":"Plan id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete Plan","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/email/verification-notification":{"post":{"description":"send an email to verificate the email.","responses":{"200":{"description":"Email Verification","content":{"application/json":{"schema":{"type":"string","example":"Email has been verified"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createjob":{"post":{"description":"Allows a Business User to create a Job","parameters":[{"in":"query","name":"title","required":true,"description":"Job Title","schema":{"type":"string","example":"Programmer"}},{"in":"query","name":"description","required":true,"description":"Job Description","schema":{"type":"string","example":"job description"}},{"in":"query","name":"duration","required":true,"description":"Job Duration","schema":{"type":"string","example":"5 months"}},{"in":"query","name":"salary","required":true,"description":"Job Salary","schema":{"type":"integer","example":12000}}],"responses":{"200":{"description":"Create Job","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"title":{"type":"string","example":"Programmer"},"description":{"type":"string","example":"Job description"},"duration":{"type":"string","example":"5 months"},"salary":{"type":"integer","example":1200}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletejob":{"delete":{"description":"Allow a business user to delete a job by id","parameters":[{"in":"query","name":"id","required":true,"description":"delete job by id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete job","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/listjob":{"get":{"description":"Allows a business user to list all the jobs","responses":{"200":{"description":"Job list","content":{"application/json":{"schema":{"type":"string","example":"job List"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/readjob":{"get":{"description":"Allows a business user to read a job by id","parameters":[{"in":"query","name":"id","required":true,"description":"read job by id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Read job","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/updatejob":{"put":{"description":"Allows a User to update a job information by its id","parameters":[{"in":"query","name":"title","required":true,"description":"Job Title","schema":{"type":"string","example":"Programmer"}},{"in":"query","name":"description","required":true,"description":"Job Description","schema":{"type":"string","example":"Job Description"}},{"in":"query","name":"duration","required":true,"description":"Job duration","schema":{"type":"string","example":"5 months"}},{"in":"query","name":"salary","required":true,"description":"Job salary","schema":{"type":"integer","example":12000}}],"responses":{"200":{"description":"Update job","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"title":{"type":"string","example":"Tech"},"description":{"type":"string","example":"banner description"},"id":{"type":"integer","example":1},"salary":{"type":"integer","example":12000},"duration":{"type":"string","example":"5 months"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/uploadjobimg":{"post":{"description":"Allows the user to upload an image for the job by id","parameters":[{"in":"query","name":"id","required":true,"description":"Job Id","schema":{"type":"integer","example":1}},{"in":"query","name":"Image_path","required":true,"description":"Image Path","schema":{"type":"string","example":"exampleimagepath.png"}}],"responses":{"200":{"description":"Image path","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"logo_path":{"type":"string","example":"exampleimagepath.png"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletejobimg":{"delete":{"description":"Allows the user to delete the image of a job by id","parameters":[{"in":"query","name":"id","required":true,"description":"Banner Id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete image path","content":{"application/json":{"schema":{"type":"string","example":"Image has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/createrealestate":{"post":{"description":"Allows a Business User to create a Real Estate Post","parameters":[{"in":"query","name":"price","required":true,"description":"Real Estate Price","schema":{"type":"integer","example":100000}},{"in":"query","name":"zip","required":true,"description":"Real Estate Postal Code","schema":{"type":"integer","example":76269}},{"in":"query","name":"neighborhood","required":true,"description":"Real Estate Neighborhood","schema":{"type":"string","example":"Zibata"}},{"in":"query","name":"address","required":true,"description":"Real Estate Address","schema":{"type":"string","example":"Mezquite 234"}},{"in":"query","name":"sqm","required":true,"description":"Property SQM","schema":{"type":"string","example":"60 sqm"}},{"in":"query","name":"rent_sale","required":true,"description":"If property is on sale o rent","schema":{"type":"boolean","example":true}}],"responses":{"200":{"description":"Create Real Estate","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"price":{"type":"integer","example":100000},"zip":{"type":"integer","example":76269},"neighborhood":{"type":"string","example":"Zibata"},"address":{"type":"string","example":"Mezquite 234"},"sqm":{"type":"string","example":"60 sqm"},"rent_sale":{"type":"boolean","example":true}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deleterealestate":{"delete":{"description":"Allow a business user to delete a Real Estate by id","parameters":[{"in":"query","name":"id","required":true,"description":"delete Real Estate by id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete Real Estate","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/listrealestate":{"get":{"description":"Allows a business user to list all the properties available","responses":{"200":{"description":"Real Estate list","content":{"application/json":{"schema":{"type":"string","example":"eal Estate List"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/readrealestate":{"get":{"description":"Allows a business user to read a property by id","parameters":[{"in":"query","name":"id","required":true,"description":"read real estate by id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Read eal Estate","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","example":1}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/updaterealestate":{"put":{"description":"Allows a User to update a real estate information by its id","parameters":[{"in":"query","name":"price","required":true,"description":"Real Estate Price","schema":{"type":"integer","example":100000}},{"in":"query","name":"zip","required":true,"description":"Real Estate Postal Code","schema":{"type":"integer","example":76269}},{"in":"query","name":"neighborhood","required":true,"description":"Real Estate Neighborhood","schema":{"type":"string","example":"Zibata"}},{"in":"query","name":"address","required":true,"description":"Real Estate Address","schema":{"type":"string","example":"Mezquite 234"}},{"in":"query","name":"sqm","required":true,"description":"Property SQM","schema":{"type":"string","example":"60 sqm"}},{"in":"query","name":"rent_sale","required":true,"description":"If property is on sale o rent","schema":{"type":"boolean","example":true}}],"responses":{"200":{"description":"Create Real Estate","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"price":{"type":"integer","example":100000},"zip":{"type":"integer","example":76269},"neighborhood":{"type":"string","example":"Zibata"},"address":{"type":"string","example":"Mezquite 234"},"sqm":{"type":"string","example":"60 sqm"},"rent_sale":{"type":"boolean","example":true}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/uploadreimg":{"post":{"description":"Allows the user to upload an image for the property by id","parameters":[{"in":"query","name":"id","required":true,"description":"Real Estate Id","schema":{"type":"integer","example":1}},{"in":"query","name":"Image_path","required":true,"description":"Image Path","schema":{"type":"string","example":"exampleimagepath.png"}}],"responses":{"200":{"description":"Image path","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"image_path":{"type":"string","example":"exampleimagepath.png"}}}}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}},"/deletereimg":{"delete":{"description":"Allows the user to delete the image of a property by id","parameters":[{"in":"query","name":"id","required":true,"description":"Real Estate Id","schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Delete image path","content":{"application/json":{"schema":{"type":"string","example":"Image has been deleted"}}}},"404":{"description":"Request Not Found","content":{"application/json":{"schema":{"type":"string","example":{"Message":"Error 404. Page or Request not Found"}}}}}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/E_2/76269/1.0.0"}]}